Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78240 - reiserfs writes cause huge load average
Summary: reiserfs writes cause huge load average
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.1
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 15:24 UTC by Stuart Teasdale
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:13 UTC


Attachments (Terms of Use)

Description Stuart Teasdale 2002-11-20 15:24:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.1) Gecko/20020827

Description of problem:
When writing a large file to a reiserfs partition the load average climbs
rapidly for the duration of the write, typically getting past 8 for a .5 gig
file, and blocks any other IO tasks occuring on the machine. CPU loading remains
minial according to top

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.dd if=/dev/zero of=/some/reiserfs/fs/temp count=1000000
2.
3.
	

Actual Results:  Load average climbs to typically 5-10 and io tasks get blocked

Expected Results:  On a stock kernel or on a redhat kernel writing to ext2 the
load average climbs to approximately 1 and other IO tasks remain responsive.

Additional info:

The problem seems to occur with both kernel 2.4.9-31 and 2.4.18-17.7, but a
stock 2.4.19 kernel appears to show the correct behavior, as does a debian box
with  a debian standard 2.4.18 kernel.

Comment 1 Bugzilla owner 2004-09-30 15:40:13 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.